QScintilla 2.8.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QsciLexerJava Class Reference

`#include <qscilexerjava.h>`

Inherits QsciLexerCPP.

List of all members.

## Public Member Functions

- QsciLexerJava (QObject *parent=0, const char *name=0)
- virtual ~QsciLexerJava ()
- const char * language () const
- const char * keywords (int set) const

## Detailed Description

The QsciLexerJava class encapsulates the Scintilla Java lexer.

## Constructor & Destructor Documentation

QsciLexerJava::QsciLexerJava | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Construct a QsciLexerJava with parent parent and name name. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerJava::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.